export default {
    init(vm){
        return {
			// 启动页
			pageList({document_code}) {
				return vm.$u.post('StartUp/pageList', {});
			},
			// 首页协议
			documentInfo({document_code}) {
				return vm.$u.post('StartUp/documentInfo', {
					document_code : document_code
				});
			},
			//获取验证码接口
			sendSmsCode({member_mobile, smslog_type}) {
				return vm.$u.post('sms/sendSmsCode', {
					member_mobile: member_mobile, 
					smslog_type: smslog_type
				});
			},
			// 用户验证码登录
			phoneLogin({member_mobile, sms_code}) {
				return vm.$u.post('auth/phoneLogin', {
					member_mobile: member_mobile, 
					sms_code: sms_code
				});
			},
			//手机号（用户）注册
			phoneRegister({member_mobile, sms_code}) {
				return vm.$u.post('auth/phoneRegister', {
					member_mobile: member_mobile, 
					sms_code: sms_code
				});
			},
			// 微信授权登录
			wechatLogin({member_wxopenid, member_nickname,member_avatar}) {
				return vm.$u.post('auth/wechatLogin', {
					member_wxopenid: member_wxopenid, 
					member_nickname: member_nickname,
					member_avatar : member_avatar
				});
			},
			// qq授权登录
			qqLogin({member_qqopenid, member_nickname,member_avatar}) {
				return vm.$u.post('auth/qqLogin', {
					member_qqopenid: member_qqopenid, 
					member_nickname: member_nickname,
					member_avatar : member_avatar
				});
			},
			// 绑定手机号
			mobileBind({member_mobile,sms_code}) {
				return vm.$u.post('auth/mobileBind', {
					member_mobile: member_mobile, 
					sms_code: sms_code
				});
			},
			// 使用帮助&售后政策列表
			getUseHelpList({page, tid}) {
				return vm.$u.post('Member/UseHelpList', {
					page: page, 
					tid: tid
				});
			},
			// 使用帮助&售后政策详情
			getUseHelpInfo({ launch_id }) {
				return vm.$u.post('Member/UseHelpInfo', {
					launch_id: launch_id
				});
			},
			// 标签的列表
			labelList({}) {
				return vm.$u.post('StartUp/labelList', {});
			},
        }
    }
}